apiVersion: v1
kind: Service
metadata:
  name: "{{ include "chart.name" . }}-backend"
  labels:
    {{- include "chart.labels" . | nindent 4 }}
spec:
  type: {{ .Values.backendService.type }}
  ports:
    - port: {{ .Values.backendService.port }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    {{- include "chart.backendSelectorLabels" . | nindent 4 }}
